Bug 51080

Summary: [PATCH] mod_isapi does not support Except:100-Continue HTTP protocol as IIS
Product: Apache httpd-2 Reporter: Thangaraj AntonyCrouse <thangaraj>
Component: CoreAssignee: Apache HTTPD Bugs Mailing List <bugs>
Status: RESOLVED LATER    
Severity: normal CC: szg0000, thangaraj
Priority: P2 Keywords: MassUpdate, PatchAvailable
Version: 2.2.17   
Target Milestone: ---   
Hardware: All   
OS: All   
Attachments: Patch to fix mod_isapi not supporting Except:100-Continue HTTP protocol

Description Thangaraj AntonyCrouse 2011-04-18 21:30:52 UTC
Created attachment 26899 [details]
Patch to fix mod_isapi not supporting Except:100-Continue HTTP protocol

Problem:
mod_isapi does not support Except:100-Continue HTTP protocol as IIS.

Root Cause:
Not implemented by mod_isapi.

  
Solution (implemented in patch):
Chunked mode POST's (Expect: 100-continue) are transparently supported by IIS, i.e., IIS by default acknowledges 100(continue) to expect 100-continue POST protocol to pull down the POST data and attached patch imitates IIS behavior in mod_isapi.
Comment 1 William A. Rowe Jr. 2016-12-23 19:54:35 UTC
I am a little confused and very interested in your report.

100 CONTINUE is effectively a hop-to-hop mechanism. It isn't typically
the CGI or ISAPI script's job to handle this.

That said, it could be cleanly set-aside from a CGI or ISAPI script and
let the client <> server <> script continue processing.

Because this affects *both* CGI and ISAPI interfaces, re-tagging this
as a core defect/enhancement. The patch can be injected into the core
cgi parsing logic, instead, I suspect?
Comment 2 Thangaraj AntonyCrouse 2017-03-15 03:57:45 UTC
I agree, the patch behavior can be injected into the core cgi parsing logic, I think this would be an ideal fix.
Comment 3 William A. Rowe Jr. 2018-11-07 21:08:42 UTC
Please help us to refine our list of open and current defects; this is a mass update of old and inactive Bugzilla reports which reflect user error, already resolved defects, and still-existing defects in httpd.

As repeatedly announced, the Apache HTTP Server Project has discontinued all development and patch review of the 2.2.x series of releases. The final release 2.2.34 was published in July 2017, and no further evaluation of bug reports or security risks will be considered or published for 2.2.x releases. All reports older than 2.4.x have been updated to status RESOLVED/LATER; no further action is expected unless the report still applies to a current version of httpd.

If your report represented a question or confusion about how to use an httpd feature, an unexpected server behavior, problems building or installing httpd, or working with an external component (a third party module, browser etc.) we ask you to start by bringing your question to the User Support and Discussion mailing list, see [https://httpd.apache.org/lists.html#http-users] for details. Include a link to this Bugzilla report for completeness with your question.

If your report was clearly a defect in httpd or a feature request, we ask that you retest using a modern httpd release (2.4.33 or later) released in the past year. If it can be reproduced, please reopen this bug and change the Version field above to the httpd version you have reconfirmed with.

Your help in identifying defects or enhancements still applicable to the current httpd server software release is greatly appreciated.